Skip to Content
Chameleon Docs

Read page box

A box on a page as the PDF renders it, unfinished, with the PDF's text inside it. The part of the box on the page is drawn finer than a page is unless pixelsPerPoint says otherwise, for the detail a page's picture is too small to show.

POST
/api/manuals/{id}/pages/{page}/read-box

A box on a page as the PDF renders it, unfinished, with the PDF's text inside it.

The part of the box on the page is drawn finer than a page is unless pixelsPerPoint says otherwise, for the detail a page's picture is too small to show.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
page*integer
Range1 <= value

Request Body

application/json
  1. body
pixelsPerPoint?number
Range0 < value <= 100
box*array<any>

Response Body

The picture's link and size, and the text

application/json
  1. response
requestId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
page*integer
picture*
scale*number
origin*array<any>
words*array<>
text*string
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/pages/1/read-box' \  -H 'Content-Type: application/json' \  -d '{  "box": [    -100000,    -100000,    -100000,    -100000  ]}'
Example Response
{  "requestId": "string",  "page": 0,  "picture": {    "url": "http://example.com",    "expiresAt": "2019-08-24T14:15:22Z",    "path": "string",    "width": 0,    "height": 0  },  "scale": 0,  "origin": [    -100000,    -100000  ],  "words": [    {      "text": "string",      "box": [        0,        0,        0,        0      ]    }  ],  "text": "string"}